Karia
ReferencesOpenapiEmployer

Get employer

GET
/organisation/{orgId}/workspace/{workspaceId}/employer/{employerId}

Retrieve an employer in the specified organisation and workspace, including linked contacts.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
employerId*string

Response Body

Successful response

application/json
  1. response
id*integer
Range-2147483648 <= value <= 2147483647
businessId*string
Lengthlength <= 11
name*string
Lengthlength <= 255
tradingName*string
Lengthlength <= 255
industry*string
Lengthlength <= 255
status*string
Lengthlength <= 30
addressLine1*string
Lengthlength <= 255
addressLine2*|null
unitNumber*|null
streetNumber*string
Lengthlength <= 10
streetName*string
Lengthlength <= 255
suburb*string
Lengthlength <= 100
state*string
Lengthlength <= 100
postCode*string
Lengthlength <= 20
country*string
Lengthlength <= 100
fbtTreatmentType*|null
fbtCollection*|null
invoiceTerms*|null
preferredPaymentMethod*|null
companyWebsite*|null
description*|null
metadata*string|number|boolean|null||array<unknown>|null
createdAt*string
linkedContacts*array<>
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/employer/string'
Example Response
{  "id": -2147483648,  "businessId": "string",  "name": "string",  "tradingName": "string",  "industry": "string",  "status": "string",  "addressLine1": "string",  "addressLine2": "string",  "unitNumber": "string",  "streetNumber": "string",  "streetName": "string",  "suburb": "string",  "state": "string",  "postCode": "string",  "country": "string",  "fbtTreatmentType": "string",  "fbtCollection": "string",  "invoiceTerms": "string",  "preferredPaymentMethod": "string",  "companyWebsite": "string",  "description": "string",  "metadata": "string",  "createdAt": "string",  "linkedContacts": [    {      "id": 0,      "type": "string",      "contactId": 0,      "contact": {        "id": 0,        "firstName": "string",        "lastName": "string",        "preferredName": "string"      }    }  ]}